Search...
⌘K
API Documentation
REST API endpoints and database schema for the Deaku platform.
Endpoints
DB Schema
GET
POST
PUT
PATCH
DELETE
Auth
GET
/api/auth/callback
GET
/api/auth/me
Workspaces
POST
/api/workspaces
GET
/api/workspaces
GET
/api/workspaces/[id]
PATCH
/api/workspaces/[id]
GET
/api/workspaces/[id]/members
POST
/api/workspaces/[id]/invite
Videos
POST
/api/videos/upload
POST
/api/videos/multipart
POST
/api/videos/complete
GET
/api/videos
GET
/api/videos/[id]
POST
/api/videos/[id]/review
POST
/api/videos/process
Chat
POST
/api/chat/webhook
GET
/api/chat/token
GET
/api/chat/channels
Storage
POST
/api/storage/presign
GET
/api/storage/download
DELETE
/api/storage/[key]
AI
POST
/api/ai/analyze
POST
/api/ai/chat
POST
/api/ai/embeddings
POST
/api/ai/retention
Billing
POST
/api/billing/checkout
POST
/api/billing/portal
POST
/api/billing/webhook
Canvas
POST
/api/canvas
GET
/api/canvas
GET
/api/canvas/[id]
PATCH
/api/canvas/[id]
Notifications
POST
/api/notifications/register
POST
/api/notifications/send
PATCH
/api/notifications/preferences
Video Calls
GET
/api/calls/token
POST
/api/calls/webhook
Admin
GET
/api/admin/users
GET
/api/admin/stats
POST
/api/admin/coupons
Cron Jobs
GET
/api/cron/cleanup-uploads
GET
/api/cron/notification-reminders
Select an endpoint from the sidebar to view its details.